# Form implementation generated from reading ui file 'src/eric7/Project/ProjectVenvConfigurationDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_ProjectVenvConfigurationDialog(object):
    def setupUi(self, ProjectVenvConfigurationDialog):
        ProjectVenvConfigurationDialog.setObjectName("ProjectVenvConfigurationDialog")
        ProjectVenvConfigurationDialog.resize(700, 132)
        ProjectVenvConfigurationDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(ProjectVenvConfigurationDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label_2 = QtWidgets.QLabel(parent=ProjectVenvConfigurationDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 0, 0, 1, 1)
        self.nameEdit = QtWidgets.QLineEdit(parent=ProjectVenvConfigurationDialog)
        self.nameEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.nameEdit.setReadOnly(True)
        self.nameEdit.setObjectName("nameEdit")
        self.gridLayout.addWidget(self.nameEdit, 0, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=ProjectVenvConfigurationDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 1, 0, 1, 1)
        self.pythonExecPicker = EricComboPathPicker(parent=ProjectVenvConfigurationDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pythonExecPicker.sizePolicy().hasHeightForWidth())
        self.pythonExecPicker.setSizePolicy(sizePolicy)
        self.pythonExecPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.WheelFocus)
        self.pythonExecPicker.setObjectName("pythonExecPicker")
        self.gridLayout.addWidget(self.pythonExecPicker, 1, 1, 1, 1)
        self.label_5 = QtWidgets.QLabel(parent=ProjectVenvConfigurationDialog)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 2, 0, 1, 1)
        self.execPathEdit = QtWidgets.QLineEdit(parent=ProjectVenvConfigurationDialog)
        self.execPathEdit.setClearButtonEnabled(True)
        self.execPathEdit.setObjectName("execPathEdit")
        self.gridLayout.addWidget(self.execPathEdit, 2, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=ProjectVenvConfigurationDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 3, 0, 1, 2)

        self.retranslateUi(ProjectVenvConfigurationDialog)
        self.buttonBox.accepted.connect(ProjectVenvConfigurationDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(ProjectVenvConfigurationDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(ProjectVenvConfigurationDialog)
        ProjectVenvConfigurationDialog.setTabOrder(self.nameEdit, self.pythonExecPicker)
        ProjectVenvConfigurationDialog.setTabOrder(self.pythonExecPicker, self.execPathEdit)

    def retranslateUi(self, ProjectVenvConfigurationDialog):
        _translate = QtCore.QCoreApplication.translate
        ProjectVenvConfigurationDialog.setWindowTitle(_translate("ProjectVenvConfigurationDialog", "Project Environment Configuration"))
        self.label_2.setText(_translate("ProjectVenvConfigurationDialog", "Name:"))
        self.label_3.setText(_translate("ProjectVenvConfigurationDialog", "Python Interpreter:"))
        self.pythonExecPicker.setToolTip(_translate("ProjectVenvConfigurationDialog", "Enter the Python interpreter of the virtual environment"))
        self.label_5.setText(_translate("ProjectVenvConfigurationDialog", "PATH Prefix:"))
from eric7.EricWidgets.EricPathPicker import EricComboPathPicker
